'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = undefined;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

require('./index.css');

var _default = function (_Component) {
    (0, _inherits3.default)(_default, _Component);

    function _default(props) {
        (0, _classCallCheck3.default)(this, _default);

        var _this = (0, _possibleConstructorReturn3.default)(this, _Component.call(this, props));

        _this.onBlurHandler = _this.onBlurHandler.bind(_this);
        _this.onFocusHandler = _this.onFocusHandler.bind(_this);
        _this.onChangeHandler = _this.onChangeHandler.bind(_this);
        return _this;
    }

    _default.prototype.onFocusHandler = function onFocusHandler(e) {
        this.searchDom.style.borderColor = '#4aa8ff';
        this.inDom.placeholder = '';
    };

    _default.prototype.onBlurHandler = function onBlurHandler(e) {
        this.searchDom.style.borderColor = '#CCC';
        if (!this.inDom.value) {
            this.inDom.placeholder = '搜索职位';
        }
        this.props.onBlurHandler && this.props.onBlurHandler(this.inDom.value);
    };

    _default.prototype.onChangeHandler = function onChangeHandler(e) {
        this.props.onChangeHandler && this.props.onChangeHandler(this.inDom.value);
    };

    _default.prototype.render = function render() {
        var _this2 = this;

        return _react2.default.createElement(
            'div',
            { className: 'search-container' },
            _react2.default.createElement(
                'div',
                { className: 'search', ref: function ref(search) {
                        _this2.searchDom = search;
                    } },
                _react2.default.createElement('div', { className: 'icon' }),
                _react2.default.createElement('input', { ref: function ref(input) {
                        _this2.inDom = input;
                    },
                    className: 'content',
                    placeholder: '\u641C\u7D22\u804C\u4F4D',
                    onFocus: this.onFocusHandler,
                    onBlur: this.onBlurHandler,
                    onChange: this.onChangeHandler
                })
            )
        );
    };

    return _default;
}(_react.Component);

exports.default = _default;
module.exports = exports['default'];